class Fluent::UpsolverOutput < Fluent::BufferedOutput
  Fluent::Plugin.register_output('upsolver', self)

  def initialize
    super
    require 'curb'
  end

  config_param :endpoint_url, :string

  def configure(conf)
    super
  end

  def start
    super
  end

  def end
    super
  end

  def format(tag, time, record)
    {:tag => tag, :time => time, :record => record }.to_json + "\n"
  end

  def write(chunk)
    data = chunk.read
    Curl.post(@endpoint_url, data)
  end

end
